| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRefArrayObject< T > Class Template Reference
[Containers]

This class implements a typed array that correctly keeps track of reference count and also is able to find by name. More...

`#include <csutil/nobjvec.h>`

Inheritance diagram for csRefArrayObject< T >:

[legend]
List of all members.

## Public Member Functions
| csRefArrayObject (int ilimit=0, int ithreshold=0)
T * | FindByName (const char *name) const
size_t | GetIndexByName (const char *name) const

## Detailed Description

### template<class T>
class csRefArrayObject< T >

This class implements a typed array that correctly keeps track of reference count and also is able to find by name.

Assumes the types used for this implement QueryObject() to get the iObject that has GetName().

Definition at line 51 of file nobjvec.h.

The documentation for this class was generated from the following file:

- csutil/nobjvec.h